/****** Object:  StoredProcedure [dbo].[spDokumente]    Script Date: 23.10.2019 11:41:01 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
Create PROCEDURE [dbo].[spDokumenteEigene]
@PruefungsID nvarchar(12),
@Art int,
@Suchfilter nvarchar(400), 
@Benutzer nvarchar(50),
@OrderbyClause nvarchar(100)
AS
BEGIN
	-- SET NOCOUNT ON added to prevent extra result sets from
	-- interfering with SELECT statements.
	SET NOCOUNT ON;

    -- Insert statements for procedure here
SELECT        DocID, ZugehoerigerKey, isnull(Bereich,'Bereich nicht eingetragen') as Bereich, DokNameOriginal, DokNameIntern, 
case when Doknameoriginal = doknameintern then DokNameOriginal else DokNameOriginal + ' (' + isnull(DokNameIntern,'Interner Name fehlt') + ')' end as Dokname,
 EUser, EDatum, AUser, ADatum, ZipFile, PruefungsID , Besonderheit, Art, DokumentVersion, MutterDokument, DatumLetzteAenderung, isnull(EngagementID,'') as EngagementID,
 dbo.isteigenerPruefungsFall(EngagementID, @Benutzer) as IstEigenerPruefungsfall
FROM            tabDokumente
WHERE        (Pruefungsid = @PruefungsID) and Art = @Art and  dbo.isteigenerPruefungsFall(EngagementID, @Benutzer) = 1 
and DokumentVersion =  dbo.gethoechsteDokVersion(PruefungsID,MutterDokument)
and (@Suchfilter is null OR DokNameIntern Like @Suchfilter or DokNameOriginal like @Suchfilter)
ORDER BY
		  CASE WHEN @OrderbyClause = 'Bereich asc' THEN Sortierung  END ASC,
		  CASE WHEN @OrderbyClause = 'Bereich asc' THEN DokNameOriginal  END ASC,
		  CASE WHEN @OrderbyClause = 'Bereich desc' THEN Sortierung END DESC,
		  CASE WHEN @OrderbyClause = 'DokNameOriginal asc' THEN DokNameOriginal END ASC,
		  CASE WHEN @OrderbyClause = 'DokNameOriginal desc' THEN DokNameOriginal END DESC,
		  CASE WHEN @OrderbyClause = 'Besonderheit asc' THEN Besonderheit END ASC,
		  CASE WHEN @OrderbyClause = 'Besonderheit asc' THEN Sortierung END ASC,
		  CASE WHEN @OrderbyClause = 'Besonderheit asc' THEN DokNameOriginal END ASC,
		  CASE WHEN @OrderbyClause = 'Besonderheit desc' THEN Besonderheit END DESC,
		  CASE WHEN @OrderbyClause = 'Besonderheit desc' THEN Sortierung END ASC,
		  CASE WHEN @OrderbyClause = 'Besonderheit desc' THEN DokNameOriginal END ASC

END
GO


/****** Object:  StoredProcedure [dbo].[spDokumente]    Script Date: 21.10.2019 15:50:45 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
ALTER PROCEDURE [dbo].[spDokumente]
@PruefungsID nvarchar(12),
@Art int,
@Suchfilter nvarchar(400), 
@Benutzer nvarchar(50),
@OrderbyClause nvarchar(100)
AS
BEGIN
	-- SET NOCOUNT ON added to prevent extra result sets from
	-- interfering with SELECT statements.
	SET NOCOUNT ON;

    -- Insert statements for procedure here
SELECT        DocID, ZugehoerigerKey, isnull(Bereich,'Bereich nicht eingetragen') as Bereich, DokNameOriginal, DokNameIntern, 
case when Doknameoriginal = doknameintern then DokNameOriginal else DokNameOriginal + ' (' + isnull(DokNameIntern,'Interner Name fehlt') + ')' end as Dokname,
 EUser, EDatum, AUser, ADatum, ZipFile, PruefungsID , Besonderheit, Art, DokumentVersion, MutterDokument, DatumLetzteAenderung, isnull(EngagementID,'') as EngagementID,
 dbo.isteigenerPruefungsFall(EngagementID, @Benutzer) as IstEigenerPruefungsfall
FROM            tabDokumente
WHERE        (Pruefungsid = @PruefungsID) and Art = @Art
and DokumentVersion =  dbo.gethoechsteDokVersion(PruefungsID,MutterDokument)
and (@Suchfilter is null OR DokNameIntern Like @Suchfilter or DokNameOriginal like @Suchfilter)
ORDER BY
		  CASE WHEN @OrderbyClause = 'Bereich asc' THEN Sortierung  END ASC,
		  CASE WHEN @OrderbyClause = 'Bereich asc' THEN DokNameOriginal  END ASC,
		  CASE WHEN @OrderbyClause = 'Bereich desc' THEN Sortierung END DESC,
		  CASE WHEN @OrderbyClause = 'DokNameOriginal asc' THEN DokNameOriginal END ASC,
		  CASE WHEN @OrderbyClause = 'DokNameOriginal desc' THEN DokNameOriginal END DESC,
		  CASE WHEN @OrderbyClause = 'Besonderheit asc' THEN Besonderheit END ASC,
		  CASE WHEN @OrderbyClause = 'Besonderheit asc' THEN Sortierung END ASC,
		  CASE WHEN @OrderbyClause = 'Besonderheit asc' THEN DokNameOriginal END ASC,
		  CASE WHEN @OrderbyClause = 'Besonderheit desc' THEN Besonderheit END DESC,
		  CASE WHEN @OrderbyClause = 'Besonderheit desc' THEN Sortierung END ASC,
		  CASE WHEN @OrderbyClause = 'Besonderheit desc' THEN DokNameOriginal END ASC

END
GO

/****** Object:  StoredProcedure [dbo].[spDokumente]    Script Date: 23.10.2019 17:38:06 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
Create PROCEDURE [dbo].[spDokumentePruefungsfall]
@EngagementID nvarchar(17),
@Art int,
@Suchfilter nvarchar(400), 
@Benutzer nvarchar(50),
@OrderbyClause nvarchar(100)
AS
BEGIN
	-- SET NOCOUNT ON added to prevent extra result sets from
	-- interfering with SELECT statements.
	SET NOCOUNT ON;

    -- Insert statements for procedure here
SELECT        DocID, ZugehoerigerKey, isnull(Bereich,'Bereich nicht eingetragen') as Bereich, DokNameOriginal, DokNameIntern, 
case when Doknameoriginal = doknameintern then DokNameOriginal else DokNameOriginal + ' (' + isnull(DokNameIntern,'Interner Name fehlt') + ')' end as Dokname,
 EUser, EDatum, AUser, ADatum, ZipFile, PruefungsID , Besonderheit, Art, DokumentVersion, MutterDokument, DatumLetzteAenderung, isnull(EngagementID,'') as EngagementID,
 dbo.isteigenerPruefungsFall(EngagementID, @Benutzer) as IstEigenerPruefungsfall
FROM            tabDokumente
WHERE        (EngagementID = @EngagementID) and Art = @Art 
and DokumentVersion =  dbo.gethoechsteDokVersion(PruefungsID,MutterDokument)
and (@Suchfilter is null OR DokNameIntern Like @Suchfilter or DokNameOriginal like @Suchfilter)
ORDER BY
		  CASE WHEN @OrderbyClause = 'Bereich asc' THEN Sortierung  END ASC,
		  CASE WHEN @OrderbyClause = 'Bereich asc' THEN DokNameOriginal  END ASC,
		  CASE WHEN @OrderbyClause = 'Bereich desc' THEN Sortierung END DESC,
		  CASE WHEN @OrderbyClause = 'DokNameOriginal asc' THEN DokNameOriginal END ASC,
		  CASE WHEN @OrderbyClause = 'DokNameOriginal desc' THEN DokNameOriginal END DESC,
		  CASE WHEN @OrderbyClause = 'Besonderheit asc' THEN Besonderheit END ASC,
		  CASE WHEN @OrderbyClause = 'Besonderheit asc' THEN Sortierung END ASC,
		  CASE WHEN @OrderbyClause = 'Besonderheit asc' THEN DokNameOriginal END ASC,
		  CASE WHEN @OrderbyClause = 'Besonderheit desc' THEN Besonderheit END DESC,
		  CASE WHEN @OrderbyClause = 'Besonderheit desc' THEN Sortierung END ASC,
		  CASE WHEN @OrderbyClause = 'Besonderheit desc' THEN DokNameOriginal END ASC

END
GO

/****** Object:  StoredProcedure [dbo].[spPruefungskopf]    Script Date: 23.10.2019 20:14:36 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO

ALTER PROCEDURE [dbo].[spPruefungskopf] 
    @PruefungsID nvarchar(12) 
AS
BEGIN
SET NOCOUNT ON;
SELECT
    CASE WHEN Left(S.SSID,1)='9' THEN 'F' 
	     WHEN Right(S.SSID,2)='00' THEN 'S' 
         ELSE 'T' 
    END AS WASKZ, 
   'KRE' AS SPAKZ, P.PruefungsID, P.Sparkasse AS SSName, P.PJahr, 
    P.Pruefungsname AS SPABezeichnung, 
     CASE WHEN Right(QSSINR,2)='00' THEN 'Sparkasse' ELSE '' END AS was, 
    S.KZ AS SSKZ, dbo.getanzahlpf(@PruefungsID) AS AnzahlPF, 
    CASE WHEN Left(S.SSID,1)='9' THEN 'F' 
	     WHEN Right(S.SSID,2)='00' THEN 'S' 
         ELSE 'T' 
    END + S.KZ + right(P.PJahr,2) + isnull(P.PruefungsKennzeichen,'KRE') +
    CASE WHEN Right(S.SSID,2) <> '00' THEN '_' +  Right(S.SSID,2) ELSE '' END
    AS SNPBeginn  
FROM (tabPruefung AS P INNER JOIN stabSparkassen AS S ON P.INR = S.InstNr)
WHERE P.PruefungsID = @PruefungsID;
END
GO

/****** Object:  Table [dbo].[stabZuordnungLP]    Script Date: 24.10.2019 11:29:50 ******/
SET ANSI_NULLS ON

SET QUOTED_IDENTIFIER ON

CREATE TABLE [dbo].[stabZuordnungLP](
	[ZID] [int] NOT NULL,
	[InstNR] [nvarchar](3) NULL,
	[PJahr] [int] NULL,
	[SPID] [int] NULL,
	[CreateUser] [int] NULL,
	[CreateDate] [datetime] NULL,
	[ChangeUser] [int] NULL,
	[ChangeDate] [datetime] NULL,
	[TS] [timestamp] NULL,
 CONSTRAINT [PK_stabZuordnungLP] PRIMARY KEY CLUSTERED 
(
	[ZID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

ALTER TABLE [dbo].[stabZuordnungLP] ADD  CONSTRAINT [DF_stabZuordnungLP_CreateDate]  DEFAULT (getdate()) FOR [CreateDate]
GO

/****** Object:  UserDefinedFunction [dbo].[getPruefernameProRolle]    Script Date: 24.10.2019 12:05:39 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO

CREATE FUNCTION [dbo].[IstImTeam]
(
	-- Add the parameters for the function here
	@BenutzerID int,
	@PruefungSID nvarchar(12)
)
RETURNS bit
AS
BEGIN
return (Select count(PTID) from tabRollenverteilung where PruefungsID = @PruefungsID and PPID = @BenutzerID)
END
GO

/****** Object:  UserDefinedFunction [dbo].[IstImTeam]    Script Date: 24.10.2019 12:29:42 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO

ALTER FUNCTION [dbo].[IstImTeam]
(
	-- Add the parameters for the function here
	@BenutzerID int,
	@PruefungSID nvarchar(12)
)
RETURNS int
AS
BEGIN
return (Select count(PTID) from tabRollenverteilung where PruefungsID = @PruefungsID and PPID = @BenutzerID)
END
GO

/****** Object:  UserDefinedFunction [dbo].[IstImTeam]    Script Date: 24.10.2019 12:32:05 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO

ALTER FUNCTION [dbo].[IstImTeam]
(
	-- Add the parameters for the function here
	@PruefungSID nvarchar(12),
	@BenutzerID int
)
RETURNS int
AS
BEGIN
return (Select count(PTID) from tabRollenverteilung where PruefungsID = @PruefungsID and PPID = @BenutzerID)
END
GO

/****** Object:  StoredProcedure [dbo].[spFuellePruefungenAuswaehlen]    Script Date: 24.10.2019 11:44:31 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO


ALTER PROCEDURE [dbo].[spFuellePruefungenAuswaehlen]
    @Benutzer nvarchar(50),
	@BenutzerID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _tmpPruefungen ( PruefungsID, INR, Pruefungsname, Sparkasse, PJahr, Pruefungsende, LP, Benutzer, Art )
SELECT p.PruefungsID, p.INR, p.Pruefungsname, p.Sparkasse, p.PJahr, p.PPruefungsende, isnull(PPName,'') + ', ' + isnull(PPVorname,'') AS LP,
@benutzer AS Benutzer, 'Auswaehlen' as Art
FROM tabPruefung AS p INNER JOIN tabRollenverteilung AS r ON p.PruefungsID = r.PruefungsID 
WHERE r.Rolle='LP' and dbo.istimteam(P.PruefungsID,@BenutzerID) >= 1 ;
END
GO








Update _tabversion set DBVersion = '5.92', DBDate = '24.10.2019'
GO