/****** Object:  StoredProcedure [dbo].[spBemerkenswerteKrediteRSGV]    Script Date: 22.06.2021 18:12:05 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- =============================================
-- Author:		<Detering-Hauger>
-- Create date: <20.10.2008>
-- alter============================================
ALTER PROCEDURE [dbo].[spBemerkenswerteKrediteRSGV] 
	@PruefungsID nvarchar(12) 
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT P.Engagementid, p.HauptKNEName + ' - Gruppe,' + char(10) + 'a) ' +  P.KNENummer + ' (Verbundfhrer), ' + p.HauptKNEOrt as Verbundfuehrer,
       p.Branche, p.Gewichtete_Bonitaet, dbo.getRatingnoteGroessterKN(P.Engagementid) as RatingKN,
       (P.PFLimit - P.KorrekturMFELimit) as LimitKorrigiert, 
       (P.PFInAn - P.KorrekturMFEInAn) as InAnKorrigiert, 
	   P.SuSiInAn - P.KorrekturMFESicherheitenInAn as SicherheitenInAnKorrigiert,
	   P.SuSiLimit - P.KorrekturMFESicherheitenLimit as SicherheitenLimitKorrigiert,
	   ( P.KorrekturMFEBlankoLimit) as BlankoLimitKorrigiert, 
       ( P.KorrekturMFEBlankoInan) as BlankoInAnKorrigiert,    
        P.ewb_v as Risikovorsorge, P.PFFazit, P.HauptKNEID
FROM  tabPruefungsfall AS P LEFT OUTER JOIN
      tabRisikogruppe AS R ON P.Risikogruppe = R.RID 
WHERE (P.PruefungsID = @PruefungsID) AND P.Pstatus <4 AND (R.RisikoUG =  2 OR R.RisikoUG = 3)
END
GO

/****** Object:  StoredProcedure [dbo].[spLoeschePruefungKomplett]    Script Date: 03.08.2021 19:15:26 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- =============================================
-- Author:		<Detering-Hauger>
-- Create date: <20.10.2008>
-- =============================================
ALTER PROCEDURE [dbo].[spLoeschePruefungKomplett] 
	@PruefungsID nvarchar(12) 
AS
BEGIN
	SET NOCOUNT ON;
-- Insert statements for procedure here
Delete from tabDokumente WHERE PruefungsID = @PruefungsID 
delete from tabDokumenteAusgecheckt WHERE PruefungsID = @PruefungsID 
DELETE FROM tabBestand WHERE PruefungsID = @PruefungsID 
DELETE FROM tabKN_Risiko WHERE PruefungsID = @PruefungsID 
DELETE FROM tabPruefungKN WHERE PruefungsID = @PruefungsID 
DELETE FROM tabKreditnehmereinheit WHERE PruefungsID = @PruefungsID 
DELETE FROM tabKreditnehmer WHERE PruefungsID = @PruefungsID 
DELETE FROM tabKNEFilter WHERE PruefungsID = @PruefungsID 
DELETE FROM tabPruefung WHERE PruefungsID = @PruefungsID 
DELETE FROM tabBeachtungAA WHERE PruefungsID = @PruefungsID 
DELETE FROM tabKreditarten WHERE PruefungsID = @PruefungsID 
delete from tabSicherheiten  WHERE PruefungsID = @PruefungsID 
delete from tabSicherheitenproKNID  WHERE PruefungsID = @PruefungsID 
delete from tabSicherheitenproKonto  WHERE PruefungsID = @PruefungsID 
DELETE FROM tabRisikogruppe WHERE PruefungsID = @PruefungsID 
END
GO

/****** Object:  StoredProcedure [dbo].[spDBLeeren_zumAusliefern]    Script Date: 11.10.2021 14:58:11 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- =============================================
-- Author:		<Detering-Hauger>
-- Create date: <20.10.2008>
-- =============================================
ALTER PROCEDURE [dbo].[spDBLeeren_zumAusliefern] 
AS
BEGIN
	SET NOCOUNT ON;
-- Alle Bewegungstabellen leeren
DELETE FROM tabBestand
DELETE FROM tabKN_Risiko 
DELETE FROM tabPruefungKN
DELETE FROM tabKreditnehmereinheit 
DELETE FROM tabKreditnehmer 
DELETE FROM tabKNEFilter 
DELETE FROM tabPruefung 
DELETE FROM tabBeachtungAA 
DELETE FROM tabKreditarten 
delete from tabAngemeldet  
delete from tabSicherheiten  
delete from tabSicherheitenproKNID  
delete from tabSicherheitenproKonto  
Delete from tabDokumente
delete from tabDokumenteAusgecheckt
Delete from etabPruefungszuordnung

-- Bestimmte Stammtabellen leeren
DELETE FROM _tmpFalluebersicht 
DELETE FROM _tmpKNE 
DELETE FROM _tmpZugeordneteFaelle 
DELETE FROM _tmpRisikoeinheit 
Delete From _tmpPruefungen
Delete from _tmpTextziffern

-- Nur Standardkatalog drin lassen
DELETE FROM stabKataloge where SKATID > 1 
-- KPPMaster und KPPInstall drin lassen
DELETE FROM stabPersonen where SPID > 2 
-- Alle Sparkassen raus
DELETE FROM stabSparkassen 
Delete From stabPW7
Delete from stabSMTP
-- Alle anderen Stammtabellen gefllt lassen
DELETE FROM tabProtokoll      

Update stabKundenparameter set ParameterWert = Null where ParameterName = 'LogoPfad'
Update stabKundenparameter set ParameterWert = Null where ParameterName = 'VorlagenPfad'

UPDATE _tabVersion Set DBD = NULL, DBK = NULL
END
GO


Update _tabVersion set DBVersion = '6.05', DBDate = '11.10.2021'
GO